Loading...
Searching...
No Matches
gx_system::MeasureThreadsafe Class Reference

`#include <gx_system.h>`

## Public Member Functions

| MeasureThreadsafe ()
void | start ()
void | pause ()
void | cont ()
void | stop ()
void | print (bool verbose=false)

## Private Member Functions

Measure * | access ()
int | ts_diff (const timespec &ts1, const timespec &ts2)

## Private Attributes

Measure | m [2]
Measure * | pmeasure
timespec | t1s
timespec | t1e
timespec | t2s
timespec | t1old
unsigned int | FPUStatus
unsigned int | MXStatus

## Detailed Description

Definition at line 198 of file gx_system.h.

## Constructor & Destructor Documentation

## MeasureThreadsafe()

gx_system::MeasureThreadsafe::MeasureThreadsafe | ( |  | ) |

## Member Function Documentation

## access()

Measure * gx_system::MeasureThreadsafe::access | ( |  | ) |

inline private

Definition at line 208 of file gx_system.h.

Referenced by stop().

## cont()

void gx_system::MeasureThreadsafe::cont | ( |  | ) |

inline

Definition at line 222 of file gx_system.h.

## pause()

void gx_system::MeasureThreadsafe::pause | ( |  | ) |

inline

Definition at line 217 of file gx_system.h.

## print()

void gx_system::MeasureThreadsafe::print | ( | bool | verbose = false | ) |

## start()

void gx_system::MeasureThreadsafe::start | ( |  | ) |

inline

Definition at line 212 of file gx_system.h.

## stop()

void gx_system::MeasureThreadsafe::stop | ( |  | ) |

inline

Definition at line 241 of file gx_system.h.

## ts_diff()

int gx_system::MeasureThreadsafe::ts_diff | ( | const timespec & | ts1,
|  | const timespec & | ts2 )

inline private

Definition at line 232 of file gx_system.h.

Referenced by stop().

## Member Data Documentation

## FPUStatus

unsigned int gx_system::MeasureThreadsafe::FPUStatus

private

Definition at line 206 of file gx_system.h.

Referenced by pause(), and stop().

## m

Measure gx_system::MeasureThreadsafe::m[2]

private

Definition at line 200 of file gx_system.h.

Referenced by stop().

## MXStatus

unsigned int gx_system::MeasureThreadsafe::MXStatus

private

Definition at line 207 of file gx_system.h.

Referenced by pause(), and stop().

## pmeasure

Measure* gx_system::MeasureThreadsafe::pmeasure

private

Definition at line 201 of file gx_system.h.

Referenced by access().

## t1e

timespec gx_system::MeasureThreadsafe::t1e

private

Definition at line 203 of file gx_system.h.

Referenced by pause(), and stop().

## t1old

timespec gx_system::MeasureThreadsafe::t1old

private

Definition at line 205 of file gx_system.h.

Referenced by stop().

## t1s

timespec gx_system::MeasureThreadsafe::t1s

private

Definition at line 202 of file gx_system.h.

Referenced by start(), and stop().

## t2s

timespec gx_system::MeasureThreadsafe::t2s

private

Definition at line 204 of file gx_system.h.

Referenced by cont(), and stop().

The documentation for this class was generated from the following file:

- src/headers/gx_system.h